(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 14, L0, center, nohscroll, bold;
	fontset = section, "Arial", 14, L0, bold, grayBox;
	fontset = subsection, "Arial", 12, L0, bold, blackBox;
	fontset = subsubsection, "Arial", 10, L0, bold, whiteBox;
	fontset = text, "Arial", 12, L0;
	fontset = smalltext, "Arial", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Arial", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Arial", 10, L0, nohscroll;
	fontset = clipboard, "Arial", 12, L0, nohscroll;
	fontset = completions, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = title; inactive; nohscroll; center; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Arial"; fontSize = 24; ]
Runge-Kutta de 4a. Ordem
:[font = input; startGroup; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Courier New"; fontSize = 12; ]
x=.;y=.;
f[x_,y_]=2y-x+6;

n=4;
x0=0.0; xn=0.4;  
y0=0.0;
h=(xn-x0)/n;

xi=x0; yi=y0;

For[i=1,i<=n,i=i+1,
 k1=f[x0,y0];
 k2=f[x0+h/2,y0+h/2*k1];
 k3=f[x0+h/2,y0+h/2*k2];
 k4=f[x0+h,y0+h*k3];
 y1=y0 + h/6*(k1+2*(k2+k3)+k4);
 x0=x0+h;
 y0=y1;
]
 Print["x =",x0];
 Print["y =",y0];
 Print["ou seja y(",x0,")=",y0];
 Print[""];
 Print["exata =",exata];
exata=DSolve[{y'[x]==f[x,y[x]],y[xi]==yi},y[x],x];
 Print[exata /. x->xn]
:[font = print; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form Generated

;[o]
x =0.4
y =3.57018
ou seja y(0.4)=3.57018

                             2 x
                   11    11 E      x
exata ={{y[x] -> -(--) + ------- + -}}
                   4        4      2
{{y[0.4] -> 3.57024}}
^*)